Bug 633879 - Review Request: perl-Test-Inter - Framework for more readable interactive test scripts
Summary: Review Request: perl-Test-Inter - Framework for more readable interactive tes...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 669644 (view as bug list)
Depends On:
Blocks: 633720
TreeView+ depends on / blocked
 
Reported: 2010-09-14 15:18 UTC by Petr Pisar
Modified: 2011-01-18 08:19 UTC (History)
3 users (show)

Fixed In Version: perl-Test-Inter-1.01-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-21 13:26:16 UTC
mmaslano: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Petr Pisar 2010-09-14 15:18:56 UTC
Spec URL: http://ppisar.fedorapeople.org/perl-Test-Inter/perl-Test-Inter.spec
SRPM URL: http://ppisar.fedorapeople.org/perl-Test-Inter/perl-Test-Inter-1.01-1.fc13.src.rpm
Description:
This is another framework for writing test scripts. It is loosely inspired
by Test::More, and has most of it's functionality, but it is not a drop-in
replacement.

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2467027

$ rpmlint perl-Test-Inter.spec ../SRPMS/perl-Test-Inter-1.01-1.fc13.src.rpm ../RPMS/noarch/perl-Test-Inter-1.01-1.fc13.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpm -pqlv ../RPMS/noarch/perl-Test-Inter-1.01-1.fc13.noarch.rpm
drwxr-xr-x    2 root    root                        0 zář 14 17:06 /usr/share/doc/perl-Test-Inter-1.01
-rw-r--r--    1 root    root                      145 dub 29 15:29 /usr/share/doc/perl-Test-Inter-1.01/ChangeLog
-rw-r--r--    1 root    root                      109 dub 29 15:29 /usr/share/doc/perl-Test-Inter-1.01/LICENSE
-rw-r--r--    1 root    root                    37077 dub 29 15:29 /usr/share/doc/perl-Test-Inter-1.01/README
-rw-r--r--    1 root    root                      346 dub 20 14:56 /usr/share/doc/perl-Test-Inter-1.01/TODO
drwxr-xr-x    2 root    root                        0 dub 22 17:20 /usr/share/doc/perl-Test-Inter-1.01/examples
-rw-r--r--    1 root    root                      597 dub 13 21:43 /usr/share/doc/perl-Test-Inter-1.01/examples/is
-rw-r--r--    1 root    root                     1378 dub 13 20:45 /usr/share/doc/perl-Test-Inter-1.01/examples/ok
-rw-r--r--    1 root    root                      201 dub 13 18:51 /usr/share/doc/perl-Test-Inter-1.01/examples/plan
-rw-r--r--    1 root    root                     1058 dub 20 14:38 /usr/share/doc/perl-Test-Inter-1.01/examples/tests
-rw-r--r--    1 root    root                      288 dub 19 19:18 /usr/share/doc/perl-Test-Inter-1.01/examples/use_ok
-rw-r--r--    1 root    root                    13266 zář 14 17:06 /usr/share/man/man3/Test::Inter.3pm.gz
drwxr-xr-x    2 root    root                        0 zář 14 17:06 /usr/share/perl5/Test
-rw-r--r--    1 root    root                    39507 zář 14 17:06 /usr/share/perl5/Test/Inter.pm
-rw-r--r--    1 root    root                    33526 zář 14 17:06 /usr/share/perl5/Test/Inter.pod

Comment 1 Marcela Mašláňová 2010-09-20 15:36:00 UTC
Not needed:
BuildRequires:  perl >= 0:5.004

Not needed since F-12:
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
rm -rf $RPM_BUILD_ROOT

Everything else is okay, no blockers. Please fix these BR before push.

Comment 2 Petr Pisar 2010-09-20 15:57:53 UTC
New Package SCM Request
=======================
Package Name: perl-Test-Inter
Short Description: Framework for more readable interactive test scripts
Owners: ppisar, mmaslano, psabata
Branches: 
InitialCC: perl-sig

Comment 3 Kevin Fenzi 2010-09-21 03:44:01 UTC
Git done (by process-git-requests).

Comment 4 Petr Pisar 2010-09-21 13:26:16 UTC
Thanks for review and repositories.

Comment 5 Marcela Mašláňová 2011-01-18 08:19:32 UTC
*** Bug 669644 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.